{
    "name": "drupal/sobki_profile_bootstrap",
    "description": "Sobki profile based on UI Suite Bootstrap.",
    "license": "GPL-2.0-or-later",
    "type": "drupal-profile",
    "require": {
        "php": ">=8.3",
        "ext-zip": "*",
        "composer-runtime-api": "^2.0",
        "drupal/address": "2.0.4",
        "drupal/ai": "1.1.5",
        "drupal/ai_provider_azure": "1.1.0-beta3",
        "drupal/animated_gif": "2.1.0",
        "drupal/antibot": "2.0.4",
        "drupal/cache_control_override": "2.0.1",
        "drupal/clientside_validation": "4.1.2",
        "drupal/core-composer-scaffold": "11.2.8",
        "drupal/core-recommended": "11.2.8",
        "drupal/core-vendor-hardening": "11.2.8",
        "drupal/cqri": "1.0.0-alpha2",
        "drupal/ctools": "4.1.0",
        "drupal/dashboard": "2.1.1",
        "drupal/default_content": "2.0.0-alpha3",
        "drupal/diff": "2.0.0-beta4",
        "drupal/editor_advanced_link": "2.3.2",
        "drupal/entity_reference_revisions": "1.12.0",
        "drupal/entity_vdts": "1.0.0",
        "drupal/extlink": "2.0.5",
        "drupal/facets": "3.0.2",
        "drupal/fences": "3.0.7",
        "drupal/field_formatter": "3.0.0",
        "drupal/field_formatter_range": "1.7.0",
        "drupal/field_group": "4.0.0",
        "drupal/field_tools": "1.0.0-alpha14",
        "drupal/filefield_paths": "1.0.0-beta8",
        "drupal/geocoder": "4.30.0",
        "drupal/geofield": "1.66.0",
        "drupal/geofield_map": "11.1.0",
        "drupal/gin": "5.0.6",
        "drupal/gin_login": "2.1.3",
        "drupal/health_check": "3.1.0",
        "drupal/inline_entity_form": "3.0.0-rc21",
        "drupal/key": "1.20.0",
        "drupal/language_switcher_extended": "1.2.0",
        "drupal/layout_builder_at": "3.0.1",
        "drupal/layout_builder_browser": "1.8.0",
        "drupal/layout_builder_lock": "2.0.0-rc2",
        "drupal/layout_builder_operation_link": "2.2.0",
        "drupal/layout_builder_reorder": "2.0.0",
        "drupal/layout_builder_restrictions": "3.0.4",
        "drupal/layout_builder_restrictions_by_role": "1.0.0-rc1",
        "drupal/leaflet": "10.3.11",
        "drupal/link_attributes": "2.1.1",
        "drupal/linked_field": "1.7.0",
        "drupal/linkit": "7.0.11",
        "drupal/media_entity_download": "2.4.0",
        "drupal/media_entity_link": "2.0.5",
        "drupal/media_library_edit": "3.0.4",
        "drupal/media_library_form_element": "2.1.4",
        "drupal/media_thumbnails": "2.0.0",
        "drupal/menu_admin_per_menu": "1.7.0",
        "drupal/menu_block": "1.14.0",
        "drupal/menu_link_attributes": "1.5.0",
        "drupal/menu_manipulator": "4.0.0",
        "drupal/menu_trail_by_path": "2.2.0",
        "drupal/metatag": "2.2.0",
        "drupal/metatag_async_widget": "1.2.3",
        "drupal/navigation_extra_tools": "1.3.1",
        "drupal/paragraph_view_mode": "3.2.0",
        "drupal/paragraphs": "1.19.0",
        "drupal/paragraphs_viewmode": "1.2.0",
        "drupal/pathauto": "1.14.0",
        "drupal/redirect": "1.12.0",
        "drupal/responsive_preview": "2.3.0",
        "drupal/robotstxt": "1.6.0",
        "drupal/role_delegation": "1.4.0",
        "drupal/scheduler": "2.2.2",
        "drupal/scheduler_content_moderation_integration": "3.0.4",
        "drupal/schema_metatag": "3.0.3",
        "drupal/search404": "2.2.0-rc3",
        "drupal/search_api": "1.40.0",
        "drupal/search_api_autocomplete": "1.11.0",
        "drupal/search_api_exclude_entity": "3.0.0",
        "drupal/section_library": "2.0.1",
        "drupal/simple_megamenu": "2.2.0",
        "drupal/simple_sitemap": "4.2.2",
        "drupal/sitemap": "2.4.0",
        "drupal/sobki_theme_admin": "1.0.1",
        "drupal/svg_image": "3.2.2",
        "drupal/system_stream_wrapper": "2.1.0",
        "drupal/tablefield": "3.0.0",
        "drupal/token": "1.16.0",
        "drupal/translatable_menu_link_uri": "2.1.3",
        "drupal/ui_examples": "1.0.4",
        "drupal/ui_icons": "1.1.0-beta6",
        "drupal/ui_patterns": "2.0.11",
        "drupal/ui_skins": "1.1.0-alpha5",
        "drupal/ui_styles": "1.19.0",
        "drupal/ui_suite_bootstrap": "5.2.0-beta4",
        "drupal/views_custom_cache_tag": "1.4.0",
        "drupal/webform": "6.3.0-beta5",
        "drupal/yoast_seo": "2.2.0",
        "geocoder-php/nominatim-provider": "^5.7",
        "npm-asset/bootstrap": "5.3.8",
        "npm-asset/bootstrap-icons": "1.13.1",
        "npm-asset/bootswatch": "5.3.8",
        "npm-asset/fortawesome--fontawesome-free": "7.1.0",
        "npm-asset/jquery-validation": "1.21.0",
        "symfony/http-client": "^6.4"
    },
    "require-dev": {
        "drupal/sdc_devel": "^1.0",
        "oomphinc/composer-installers-extender": "^2.0"
    },
    "conflict": {
        "drupal/drupal": "*"
    },
    "repositories": {
        "asset-packagist": {
            "type": "composer",
            "url": "https://asset-packagist.org"
        }
    },
    "autoload": {
        "psr-4": {
            "Drupal\\sobki_theme_bootstrap\\": "themes/sobki_theme_bootstrap/src"
        }
    },
    "config": {
        "allow-plugins": {
            "drupal/core-vendor-hardening": true,
            "oomphinc/composer-installers-extender": true
        }
    },
    "extra": {
        "composer-exit-on-patch-failure": true,
        "drupal-scaffold": {
            "file-mapping": {
                "[web-root]/robots.txt": false
            }
        },
        "enable-patching": true,
        "installer-paths": {
            "web/libraries/fontawesome": [
                "npm-asset/fortawesome--fontawesome-free"
            ],
            "web/libraries/{$name}": [
                "type:drupal-library",
                "type:bower-asset",
                "type:npm-asset"
            ]
        },
        "installer-types": [
            "bower-asset",
            "npm-asset"
        ],
        "patchLevel": {
            "drupal/core": "-p2"
        },
        "patches": {
            "drupal/animated_gif": {
                "1 - Error when item is not set - https://www.drupal.org/project/animated_gif/issues/3056477#comment-15931831": "https://www.drupal.org/files/issues/2025-01-08/animated_gif-3056477-27.patch"
            },
            "drupal/cache_control_override": {
                "1 - Page cache isn't invalidated - https://www.drupal.org/project/cache_control_override/issues/2916705#comment-15740480": "https://www.drupal.org/files/issues/2024-08-22/cache_control_override-2916705-17.patch"
            },
            "drupal/core": {
                "1 - Preview theme logo and favicon - https://www.drupal.org/project/drupal/issues/3380400#comment-15187236": "https://www.drupal.org/files/issues/2023-08-10/3380400-5.patch",
                "2 - Try to parse version in composer if not in .info.yml - https://www.drupal.org/project/drupal/issues/3447672#comment-16220402": "https://www.drupal.org/files/issues/2025-08-07/drupal-3447672-11.patch",
                "3 - Change the LB Add block link text to understand in which region the block will be placed - https://www.drupal.org/project/drupal/issues/3460462#comment-15676947": "https://www.drupal.org/files/issues/2024-07-10/drupal-3460462-9.patch"
            },
            "drupal/default_content": {
                "1 - Import should overwrite files - https://www.drupal.org/project/default_content/issues/3200212#comment-15745764": "https://www.drupal.org/files/issues/2024-08-27/default_content-3200212-25.patch",
                "2 - Don't add translation, if exist - https://www.drupal.org/project/default_content/issues/3176839#comment-13859359": "https://www.drupal.org/files/issues/2020-10-14/default_content-3176839-2.patch",
                "3 - Add a Normalizer and Denormalizer to support Layout Builder - https://www.drupal.org/project/default_content/issues/3160146#comment-14814050": "https://www.drupal.org/files/issues/2022-12-06/default_content-3160146-53.patch",
                "4 - Update inline block usage on import - https://www.drupal.org/project/default_content/issues/3359137#comment-15042582": "https://www.drupal.org/files/issues/2023-05-09/default_content-3359137-3.patch"
            },
            "drupal/extlink": {
                "1 - Support UI Icons - https://www.drupal.org/project/extlink/issues/3482227#comment-16261336": "https://www.drupal.org/files/issues/2025-09-11/3482227-23_0.diff"
            },
            "drupal/field_tools": {
                "1 - Allow Clone display to current bundle view mode (overwrite) + Layout builder support - https://www.drupal.org/project/field_tools/issues/3415791#comment-15863869": "https://www.drupal.org/files/issues/2024-11-19/field_tools-3415791-19.patch"
            },
            "drupal/layout_builder_at": {
                "1 - Do not validate Layout Builder field when hidden - https://www.drupal.org/project/layout_builder_at/issues/3502722#comment-15962442": "https://www.drupal.org/files/issues/2025-01-28/layout_builder_at-3502722-4.patch"
            },
            "drupal/layout_builder_restrictions_by_role": {
                "1 - Fatal error on config schema validation - https://www.drupal.org/project/layout_builder_restrictions_by_role/issues/3525707#comment-16193472": "https://www.drupal.org/files/issues/2025-07-16/layout_builder_restrictions_by_role-3525707-9.patch",
                "2 - Conflict with core navigation module - https://www.drupal.org/project/layout_builder_restrictions_by_role/issues/3517585#comment-16195944": "https://www.drupal.org/files/issues/2025-07-17/layout_builder_restrictions_by_role-3517585-7.patch"
            },
            "drupal/linked_field": {
                "1 - Wrong return type in hook_field_formatter_third_party_settings_form - https://www.drupal.org/project/linked_field/issues/3532973#comment-16174210": "https://www.drupal.org/files/issues/2025-07-02/linked_field-3532973-6.patch"
            },
            "drupal/media_entity_link": {
                "1 - Fix config schema - https://www.drupal.org/project/media_entity_link/issues/3386956#comment-15229148": "https://www.drupal.org/files/issues/2023-09-13/media_entity_link-3386956-4.patch"
            },
            "drupal/media_library_edit": {
                "1 - Media Library Edit edit icon position - https://www.drupal.org/project/media_library_edit/issues/3409965": "https://www.drupal.org/files/issues/2023-12-20/3409965-1.patch"
            },
            "drupal/menu_manipulator": {
                "1 - Disabled icon feature processed anyway - https://www.drupal.org/project/menu_manipulator/issues/3482445#comment-15929137": "https://www.drupal.org/files/issues/2025-01-07/menu_manipulator-3482445-4.patch"
            },
            "drupal/robotstxt": {
                "1 - Provide options to add Simple Sitemap files to robot.txt - https://www.drupal.org/project/robotstxt/issues/3218880#comment-15966630": "https://www.drupal.org/files/issues/2025-01-30/robotstxt-simple_sitemap-3218880-30.patch",
                "2 - Do not override existing config on install - https://www.drupal.org/project/robotstxt/issues/3508027#comment-15996973": "https://www.drupal.org/files/issues/2025-02-20/robotstxt-3508027-3.patch"
            },
            "drupal/scheduler_content_moderation_integration": {
                "1 - TypeError: scheduler_content_moderation_integration_module_implements_alter(): Argument #2 ($hook) must be of type string, int given - https://www.drupal.org/project/scheduler_content_moderation_integration/issues/3512983": "https://git.drupalcode.org/project/scheduler_content_moderation_integration/-/merge_requests/83.patch"
            },
            "drupal/ui_styles": {
                "1 - UI Patterns 2: remove styles on sections - https://www.drupal.org/project/ui_styles/issues/3496352#comment-16004802": "https://www.drupal.org/files/issues/2025-02-26/ui_styles-3496352-4.patch"
            },
            "drupal/ui_suite_bootstrap": {
                "1 - Companion module - https://www.drupal.org/project/ui_suite_bootstrap/issues/3493509#comment-16174288": "https://www.drupal.org/files/issues/2025-07-02/ui_suite_bootstrap-3493509-23.patch"
            },
            "drupal/webform": {
                "1 - Fatal error: Declaration of Drupal\\webform\\EntityStorage\\WebformEntityStorageTrait::__get($name) - https://www.drupal.org/project/webform/issues/3556348#comment-16335229": "https://www.drupal.org/files/issues/2025-11-06/3556348-webform_6.3.0-beta5.patch",
                "2 - Radios/checkboxes: Allow to access label attributes - https://www.drupal.org/project/webform/issues/3472513#comment-15760525": "https://www.drupal.org/files/issues/2024-09-06/webform-3472513-5.patch"
            }
        }
    }
}
